#!/usr/bin/env bash
#
# This currently expects to be run on an Ubuntu machine

function init_perforce_repo()
{
	wget -q http://package.perforce.com/perforce.pubkey -O - | sudo apt-key add -

	dist=`lsb_release -c -s`
	sudo bash -c "echo 'deb http://package.perforce.com/apt/ubuntu ${dist} release' >> /etc/apt/sources.list.d/perforce.sources.list"

	# Ran into a "hash sum mismatch" from a Debian server. Reload everything.
	sudo rm -rf /var/lib/apt/lists/*

	sudo apt-get update
}

#----------------------------------------------------------------------------
# Main script
#----------------------------------------------------------------------------

set -ex

init_perforce_repo

sudo apt-get install perforce-server -y
